Subject: RE: [Mip6] Comments on draft-ietf-mip6-bootstrapping-split-01.txt

From: Gerardo Giaretta <[email-masked]>
Date: Thu, 01 Dec 2005 16:53:15 +0100

Hi Vijay and Kilian, 

> > page 15:
> > --------
> > - "The Mobile Node auto-configures a Home Address from 
> > the prefix returned in the CFG_REPLY message and runs a 
> > CREATE_CHILD_SA exchange to create security associations for the 
> > new Home Address.  "
> > 
> > 	Since there is not lifetime field in the home prefix attribute,
> > what is the lifetime the MN sets for the Home Address 
> configured with
> > the prefix obtained from CFG_REPLY home prefix attribute? Is there a
> > default value? If so, what is this value? Or should MN do 
> mobile prefix
> > discovery to obtain lifetime for the home prefix after the 
> Home Address
> > has been configured with a prefix obtained through 
> CFG_REPLY home prefix
> > attribute? 
> 
> good question. it should be prefix lifetime. prefix
> lifetime is generally used for auto-configuration. I
> think we need to extend MIP6_HOME_PREFIX attribute to
> include the prefix lifetime. perhaps something like
> the following.
> 
>    1                   2                   3
>    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>   |R|         Attribute Type      !            Length             |
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>   |                                                               |
>   |                        home prefix                            |
>   |                                                               |
>   |                                                               |
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>   |                     Prefix Lifetime                           |
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>   | Prefix Length |
>   +-+-+-+-+-+-+-+-+
> 
>

I agree, a lifetime is needed. The following is the prefix information
option in rfc2461bis. I think we need valid and preferred lifetimes too.
What do you think?

       0                   1                   2                   3
       0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |     Type      |    Length     | Prefix Length |L|A| Reserved1 |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |                         Valid Lifetime                        |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |                       Preferred Lifetime                      |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |                           Reserved2                           |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |                                                               |
      +                                                               +
      |                                                               |
      +                            Prefix                             +
      |                                                               |
      +                                                               +
      |                                                               |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

--Gerardo
 
> > - Regarding DDNS updates, I share some of Francis concerns, 
> but I also
> > share the concerns of the DT stated in section 9.5.
> > (authentication/authorization of updates and 
> redirection-based flooding
> > issue, if MN updates DNS). IMHO some more 
> thoughts/discussions should be
> > spent on this issue. For instance, something like a cookie-based
> > reachability test (done by DNS server) of the address 
> claimed by MN in
> > the DNS update could be considered to address the redirection-based
> > flooding attack concern. 
> 
> agree. but I think modifications to DNS are beyond
> the scope of MIP6 bootstrapping work.
> 
> Vijay
> 
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6
> 

Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia S.p.A.

====================================================================
CONFIDENTIALITY NOTICE
This message and its attachments are addressed solely to the persons
above and may contain confidential information. If you have received
the message in error, be informed that any use of the content hereof
is prohibited. Please return it immediately to the sender and delete
the message. Should you have any questions, please send an e_mail to
[email-masked]. Thank you
====================================================================

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 01 Dec 2005 11:36:18 -0800

> option in rfc2461bis. I think we need valid and preferred lifetimes too.

its an overkill. since preferred lifetime is always
less than valid lifetime, maybe we should just send
the preferred lifetime. (?)

RFC 2461 says

  Preferred Lifetime
                      32-bit unsigned integer.  The length of time in
                      seconds (relative to the time the packet is sent)
                      that addresses generated from the prefix via
                      stateless address autoconfiguration remain
                      preferred [ADDRCONF].  A value of all one bits
                      (0xffffffff) represents infinity.  See [ADDRCONF].

it might be sufficient to just send the preferred
lifetime.

Vijay